org.apache.solr.core.snapshots

## Class CollectionSnapshotMetaData.CoreSnapshotMetaData

- java.lang.Object
- - org.apache.solr.core.snapshots.CollectionSnapshotMetaData.CoreSnapshotMetaData

- All Implemented Interfaces:
    org.noggit.JSONWriter.Writable
  Enclosing class:
    CollectionSnapshotMetaData

      public static class CollectionSnapshotMetaData.CoreSnapshotMetaData
      extends Object
      implements org.noggit.JSONWriter.Writable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CoreSnapshotMetaData(NamedList resp)`
    `CoreSnapshotMetaData(String coreName, String indexDirPath, long generationNumber, String shardId, boolean leader, Collection<String> files)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCoreName()`
    `Collection<String>` | `getFiles()`
    `long` | `getGenerationNumber()`
    `String` | `getIndexDirPath()`
    `String` | `getShardId()`
    `boolean` | `isLeader()`
    `NamedList` | `toNamedList()`
    `void` | `write(org.noggit.JSONWriter arg0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CoreSnapshotMetaData

          public CoreSnapshotMetaData(String coreName,
                                      String indexDirPath,
                                      long generationNumber,
                                      String shardId,
                                      boolean leader,
                                      Collection<String> files)

    - #### CoreSnapshotMetaData

          public CoreSnapshotMetaData(NamedList resp)

  - ### Method Detail

    - #### getCoreName

          public String getCoreName()

    - #### getIndexDirPath

          public String getIndexDirPath()

    - #### getGenerationNumber

          public long getGenerationNumber()

    - #### getFiles

          public Collection<String> getFiles()

    - #### getShardId

          public String getShardId()

    - #### isLeader

          public boolean isLeader()

    - #### write

          public void write(org.noggit.JSONWriter arg0)

      Specified by:
        `write` in interface `org.noggit.JSONWriter.Writable`

    - #### toNamedList

          public NamedList toNamedList()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.